netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ad_sendfile.c File Reference
`#include <errno.h>`
`#include <stdio.h>`
`#include <sys/socket.h>`
`#include <sys/uio.h>`
`#include <atalk/adouble.h>`
`#include <atalk/logger.h>`

## Functions
ssize_t | sys_sendfile (int out_fd, int in_fd, off_t *_offset, size_t count)
int | ad_readfile_init (const struct adouble *ad, const int eid, off_t *off, const int end)

## Function Documentation

## ◆ ad_readfile_init()

int ad_readfile_init | ( | const struct adouble * | ad,
|  | const int | eid,
|  | off_t * | off,
|  | const int | end )

## ◆ sys_sendfile()

ssize_t sys_sendfile | ( | int | out_fd,
|  | int | in_fd,
|  | off_t * | _offset,
|  | size_t | count )